apiVersion: wopla.io/v1beta1
kind: Tekton
metadata:
  name: kube
  namespace: ci
spec:
  clair_namespace: ci
  do_network_policy: true
  k8s_registry_ns: default
  k8s_registry_svc: registry-kube
  k8s_resource_nodes_selectors:
  - node-role.kubernetes.io/worker=true
  nexus_namespace: ci
  tekton_buildkit_image: registry-kube.default.svc.cluster.local:5000/docker.io/moby/buildkit:v0.6.2
  tekton_docker_builder_image: registry-kube.default.svc.cluster.local:5000/docker.io/docker:stable
  tekton_docker_dind_image: registry-kube.default.svc.cluster.local:5000/docker.io/docker:dind
  #tekton_k8s_version: 0.25.0
  tekton_scan_images: True
  tekton_skopeo_image: registry-kube.default.svc.cluster.local:5000/docker.io/ananace/skopeo:latest
  root_domain: ci.apps.intra.unetresgrossebite.com
  sonarqube_namespace: ci
  squid_namespace: default
  trivy_namespace: ci

  # Images signing requires GPG or Cosign Secret creation/manual
  tekton_scan_code: True
  tekton_scan_images: True
  tekton_sign_images: True

  # Buildah sucks ...
  tekton_preferred_builder: kaniko

  # FIXME:
  tekton_uses_resources_limits: False

  # Building CodiMD, there's an OOM, comitting the last layer. TBF, on
  # OKD, that BuildConfig has a 5G memory limit. Whereas all Tekton builds
  # comes with a 4G memory limit. Currently, we may not create Tekton tasks
  # with variable resource reservations - schemas would refuse $(params.xxx)
  # like syntax. Until we can fix that, we need a way to turn these off, as
  # setting >4G limits is way too much for most of our jobs, and arguably
  # would be an issue with smaller clusters.

  # ---> Cleaning the /tmp/npm-*
  # /opt/app-root/lib/pm2/.config is not a mountpoint
  # ---> Cleaning the /opt/app-root/lib/pm2/.config
  # --> 70663aa4ba2
  # STEP 9: CMD /usr/libexec/s2i/run
  # STEP 10: COMMIT registry.registry.svc.cluster.local:5000/ci/codimd:master
  # --> 49081d4b404
  # 49081d4b4044dbe77c844ae2177c4a890a15d23374927249006d0675a3f4aeb6
  #
  #  image: quay.io/buildah/stable:latest
  #  [...]
  #  name: step-build-image
  #  [...]
  #  state:
  #    terminated:
  #      containerID: containerd://26be65aa19e8c62d148415ba556221b2247f88eefaf18e265f6db718cfd5360a
  #      exitCode: 0
  #      finishedAt: "2020-06-28T21:26:59Z"
  #      message: '[{"key":"StartedAt","value":"2020-06-28T20:10:02Z","resourceRef":{}}]'
  #      reason: OOMKilled
  #      startedAt: "2020-06-28T20:09:54Z"
